#!/bin/bash
group=$1
number=$2
if [ $# -ne 2 ] ; then
	echo " "
	echo "Invalid Input"
	echo "Input should be <group_number> <dial_number>"
	echo " "
	echo "For Example:"
	echo "bash auto_dial.sh g1 90547471990"
	echo " "
	exit 1;
fi

ASTSPOOL=/var/spool/asterisk/
echo "Channel: Dahdi/$1/$number" > test.call
echo "MaxRetries: 1" >> test.call
echo "RetryTime: 30" >> test.call
echo "WaitTime: 30" >> test.call
echo "Context: from-auto" >> test.call
echo "Extension: 333" >> test.call
echo "Priority:1" >> test.call
chmod 777 test.call
if [ -e $ASTSPOOL/outgoing/test.call ];then
		rm -rf /var/spool/asterisk/outgoing/test.call
fi

mv -f test.call $ASTSPOOL/outgoing

